EntryDestroyedException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: EntryDestroyedException

Package org.apache.geode.cache

# Class EntryDestroyedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.EntryDestroyedException

All Implemented Interfaces:
  `Serializable`

public class EntryDestroyedException extends CacheRuntimeException
Indicates that a method was invoked on an entry that has been destroyed.

Since:
  GemFire 3.0
See Also:
  - `Region.Entry`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntryDestroyedException()`
  Constructs a new `EntryDestroyedException`.
  `EntryDestroyedException(String s)`
  Constructs a new `EntryDestroyedException` with the message.
  `EntryDestroyedException(String s, Throwable ex)`
  Constructs a new `EntryDestroyedException` with a detailed message and a causal exception.
  `EntryDestroyedException(Throwable ex)`
  Construct a `EntryDestroyedException` with a cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntryDestroyedException

    public EntryDestroyedException()
    Constructs a new `EntryDestroyedException`.

  - ### EntryDestroyedException

    public EntryDestroyedException(String s)
    Constructs a new `EntryDestroyedException` with the message.
    Parameters:
      `s` - the detailed message for this exception

  - ### EntryDestroyedException

    public EntryDestroyedException(String s, Throwable ex)
    Constructs a new `EntryDestroyedException` with a detailed message and a causal exception.
    Parameters:
      `s` - the message
      `ex` - a causal Throwable

  - ### EntryDestroyedException

    public EntryDestroyedException(Throwable ex)
    Construct a `EntryDestroyedException` with a cause.
    Parameters:
      `ex` - the causal Throwable